package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DataConfigFieldEntryFactory
{
    private DataConfigFieldEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("E1BF7483") ,com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry.class);
    }
    
    public static com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("E1BF7483") ,com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("E1BF7483"));
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfigFieldEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("E1BF7483"));
    }
}